package com.tcctlo.law.entity;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tcctlo.common.annotation.Excel;
import com.tcctlo.common.core.domain.BaseEntity;

/**
 * 商品管理对象 goods
 * 
 * @author coco
 * @date 2025-01-30
 */
public class Goods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String goodsImages;

    /** 商品文件 */
    @Excel(name = "商品文件")
    private String goodsFile;

    /** 商品金额 */
    @Excel(name = "商品金额")
    private BigDecimal goodsMoney;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setGoodsImages(String goodsImages) 
    {
        this.goodsImages = goodsImages;
    }

    public String getGoodsImages() 
    {
        return goodsImages;
    }
    public void setGoodsFile(String goodsFile) 
    {
        this.goodsFile = goodsFile;
    }

    public String getGoodsFile() 
    {
        return goodsFile;
    }
    public void setGoodsMoney(BigDecimal goodsMoney) 
    {
        this.goodsMoney = goodsMoney;
    }

    public BigDecimal getGoodsMoney() 
    {
        return goodsMoney;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsName", getGoodsName())
            .append("goodsImages", getGoodsImages())
            .append("goodsFile", getGoodsFile())
            .append("goodsMoney", getGoodsMoney())
            .toString();
    }
}
